×

INDI Library v1.7.8 Released (11 May 2019)

Mid year release of INDI Library v1.7.8 comes with a few drivers and improvements to to existing drivers.

ALccd-QHY 9: not supported by indi?

  • Posts: 4
  • Thank you received: 0

ALccd-QHY 9: not supported by indi? was created by astronom

Hi everybody,

I've got an ALccd-QHY 9 monochrom CCD, and I thought should work with the indi_qhy_ccd driver. But all I get is a yellow light in Main Control / Connection tab.
Can anybody tell me if this CCD model is supported? It looks exactly like the QHY9S to me and QHY9S should be supported by indi_qhy_ccd.
2019-03-13T20:26:35: [INFO] Connected to QHY9S-M-0105XXXXXXXXXXXX.

The driver output is:
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|InitQHYCCDResource|InitQHYCCDResource | START
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|InitQHYCCDResource|    InitQHYCCDResource   E
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|ScanQHYCCD|ScanQHYCCD
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|ScanQHYCCD|    SCAN  start
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|DeviceIsQHYCCD|vid = 1618 pid = 8301
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|InitQHYCCDClass|InitQHYCCDClass(camtype,index
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCDRD|QHYCCD.CPP|InitQHYCCDClass|nSize ccdimagew ccdimageh 3
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|InitQHYCCDClass|imagequeuelength 0x2594220 fr
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|ScanQHYCCD|   Scan  init the imagequeue,nSize
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|GetIdFromCam|GetIdFromCam
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|ScanQHYCCD|ScanQHYCCD numdev=1
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|ScanQHYCCD|   Scan  finished. Return nid=1
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|GetQHYCCDId|GetQHYCCDId
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|GetQHYCCDId|    GetQHYCCDId | START
Mar 13 21:26:58 telescope indiserver[18051]: 2019-03-13T20:26:58: Driver indi_qhy_ccd: QHYCCD|QHYCCD.CPP|GetQHYCCDId|QHYCCD  GetQHYCCDId | index=0 id=

The USB ID is 1618:8301.
When I run qhy_ccd_test, I get the attached output.

The "PC" is a small embedded device with Ubuntu 18.04.02 and indi 1.7.6, linux kernel 4.15.0-46-generic. The camera is connected via USB2. Filter wheel not connected at the moment.

Cheers, Peter
2 months 1 week ago #36476
Attachments:

Please Log in or Create an account to join the conversation.

  • Posts: 794
  • Karma: 6
  • Thank you received: 214

Replied by wvreeven on topic ALccd-QHY 9: not supported by indi?

I have a similar QHY9 ccd and for me it doesn’t work either. Please search this forum to find reports by me and other forum members with this camera.


Wouter
ASI1600MM-Pro Cooled and filter wheel with a SkyWatcher Esprit 80 ED on a SkyWatcher HEQ5-Pro

ASI1600MM-Pro Cooled and filter wheel with an 8" TS Ritchey-Chrétien on a SkyWatcher EQ6-R
2 months 1 week ago #36496

Please Log in or Create an account to join the conversation.

Replied by knro on topic ALccd-QHY 9: not supported by indi?

QHY said some older camera models are not supported by their SDK. They might add support to them later on.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 months 1 week ago #36517

Please Log in or Create an account to join the conversation.

  • Posts: 794
  • Karma: 6
  • Thank you received: 214

Replied by wvreeven on topic ALccd-QHY 9: not supported by indi?

Thanks for the confirmation of my suspicions Jasem.
ASI1600MM-Pro Cooled and filter wheel with a SkyWatcher Esprit 80 ED on a SkyWatcher HEQ5-Pro

ASI1600MM-Pro Cooled and filter wheel with an 8" TS Ritchey-Chrétien on a SkyWatcher EQ6-R
2 months 1 week ago #36518

Please Log in or Create an account to join the conversation.

  • Posts: 27
  • Thank you received: 0

Replied by lvzyla on topic ALccd-QHY 9: not supported by indi?

What is an older QHY camera model? My QHY5iiLM did not work as of 2 days ago and I am wondering if my QHY5 is considered an older model.
Lou
2 months 1 week ago #36529

Please Log in or Create an account to join the conversation.

  • Posts: 4
  • Thank you received: 0

Replied by astronom on topic ALccd-QHY 9: not supported by indi?

My model is a Alccd-QHY 9 monochrom, that is all I know at the moment. Perhaps more meaningful is the USB ID 1618:8301. The QHY9 INDI Driver comes with a file which is installed in /lib/udev/rules.d/85-qhyccd.rules. This rule file defines what linux should do if a usb device is plugged in. The nearest match is this line:

ATTRS{idVendor}=="1618", ATTRS{idProduct}=="8300", RUN+="/sbin/fxload -t fx2 -I /lib/firmware/qhy/QHY9S.HEX -D $env{DEVNAME}"

But my model is 8301! If I just add a similar line with idProduct 8301 and restart the udev service (or reboot), the QHY9S.HEX file should be loaded and if similar enough it might work, but it does not. So presently at least my device is not supported.

The newest version of the mentioned usb file is here:
github.com/indilib/indi/blob/master/3rdp...bqhy/85-qhyccd.rules
But no new entry for my product version. Development seems to be active.

You can check this file to see what models are supported and if your device is really not included. The 'lsusb' command can be used to identify usb devices (compare the output with ccd plugged in and not).

Cheers, Peter
2 months 1 week ago #36534

Please Log in or Create an account to join the conversation.

  • Posts: 93
  • Thank you received: 17

Replied by fmozza on topic ALccd-QHY 9: not supported by indi?

My QHY5L-II mono works with all the latest changes to the QHY bits. I am experiencing a problem where PHD2 loses track of the camera and wants me to create a new set of darks all the time, but I'm not sure if that is a result of the new QHY bits or PHD2. Once the dark library is rebuilt, it works fine.

My older QHY9 and QHY8 cameras don't work with the latest releases, at least not with all features enabled, and these are older cameras which I don't expect to be supported forever - they are built well and have had few hardware issues that couldn't be fixed with electronics cleaners, so I'm happy to keep them going using whatever means I can. When I want to use these cameras, I run Nebulosity with PHD2 in a Windows VM to capture images, using a USB to IP hub they connect through in the obs. A bit cludgy, but it works.

jmh
2 months 1 week ago #36546

Please Log in or Create an account to join the conversation.

  • Posts: 27
  • Thank you received: 0

Replied by lvzyla on topic ALccd-QHY 9: not supported by indi?

JMH,
Could you provide more information about your situation. Are you running the nightly build or the stable build. Are you running Stellarmate or a Linux desktop? Did you experience any QHY crashes after the late February Indi update? The Indi update and associated QHY crashes seems not to have affected Stellarmate users.
Thanks.
Lou
2 months 1 week ago #36569

Please Log in or Create an account to join the conversation.

  • Posts: 4
  • Thank you received: 0

Replied by astronom on topic ALccd-QHY 9: not supported by indi?

Out of curiosity, I subscribed to the developer forum of QHYCCD and asked about the SDK for this camera (Alccd QHY 9). I got a response with download links for the latest version which happened to be V2019.03.14.0 which means it is from yesterday . Apparently it also includes settings for my USB ID. I install the SDK, restarted everything and EKOS now shows a green signal. This seems way to easy right now. I don't know if it really works, but it looks promising. It probably only recognizes the USB device better and loads the firmware, but surely other parts need to be modified as well.

So with a little patience, the new SDK will be part of the next indilib release. :woohoo:
In the meantime I might try some 'cludgy', uh windows VM workaround. :unsure:
2 months 1 week ago #36592

Please Log in or Create an account to join the conversation.

  • Posts: 93
  • Thank you received: 17

Replied by fmozza on topic ALccd-QHY 9: not supported by indi?

In my observatory, I run the latest nightly INDI release on a Rock64 SBC. (See the attached block diagram for the bits and pieces in my OBS and home office.) I also keep the last two releases on the Rock64 as well so I can quickly flip to those releases should there be any issues. INDI itself is very stable - very rarely have I run into any issues. Most of the problems are vendor driver related. The cameras connect over USB3 to the USB3 Hub.

In my home office, I run the most recent stable releases of Kstars and PHD2 on my Linux desktop, and connect to INDI on the Rock64. Kstars seems a bit more brittle than INDI, but the later releases are getting better and are more stable.

I run the bleeding edge nightly stuff on Linux VM's on my server, and have a few of them, with different releases on them. I only set these up for testing.

For the older QHY8 and QHY9 cameras,
You do not have permissions to access this page.
You do not have permissions to access this page.
I also have a Windows 7 VM for Nebulosity that connects to the cameras in the observatory using the USB2 over Gbe hub and this work very well for USB2 cameras. I sometimes use the INDI driver on Windows so I can center and frame objects, then change back to direct camera control with Nebulosity to capture frames - the INDI driver connecting to the cameras over the remote USB2 over Gbe link is too unstable.
Last edit: 2 months 1 week ago by fmozza.
2 months 1 week ago #36599
Attachments:

Please Log in or Create an account to join the conversation.

  • Posts: 4
  • Thank you received: 0

Replied by astronom on topic ALccd-QHY 9: not supported by indi?

Finally, I got Alccd-QHY9 and QHY 5-II working. I can make image, set cooling temperature, etc.

The trick was to either connect in 'local mode' or to start indiserver with my regular user and without systemd. I am sure, there is a way to start it with systemd too, but for now I am doing it without.

Peter
2 months 6 days ago #36656

Please Log in or Create an account to join the conversation.

Time to create page: 1.400 seconds